All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Class SelectorAction

    com.sas.actionprovider.SelectorAction

All Implemented Interfaces:
  ActionStatusKeysInterface, SelectorActionInterface, SupplementalPropertyKeysInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, java.awt.event.ActionListener, java.lang.Cloneable, java.rmi.Remote, java.util.EventListener, javax.swing.Action

    @SASScope(value="ALL")
    public class SelectorAction

implements SelectorActionInterface

The SelectorAction class defines additional type-based attributes specific to actions used by selectors.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1

Field Summary
`protected boolean` | `modal`
`protected java.lang.String` | `refreshViewerId` The id of the viewer that requested this Action.
`static int` | `SELECTOR_EXTERNAL` Key indicating the the EXTERNAL type of selector Action
`protected java.lang.String` | `viewerId` The id of the viewer that requested this Action.

Fields inherited from interface com.sas.swing.util.Action
`ALIGNMENT_CENTER, ALIGNMENT_LEADING, ALIGNMENT_LEFT, ALIGNMENT_RIGHT, ALIGNMENT_TRAILING, ALTERNATE_TEXT, COMMAND_CLASS, DISABLED_IMAGE_KEY, GROUP_NAME, IMAGE_KEY, LABEL, LARGE_DISABLED_ICON, LARGE_DISABLED_ICON_NAME, LARGE_ICON, LARGE_ICON_NAME, LONG_DISABLED_DESCRIPTION, LONG_NAME, MNEMONIC_INDEX, ROLLOVER_ICON_NAME, ROLLOVER_IMAGE_KEY, SHORT_DISABLED_DESCRIPTION, SMALL_DISABLED_ICON, SMALL_DISABLED_ICON_NAME, SMALL_ICON_NAME, STYLE_MAP, TARGET, TEXT_ALIGNMENT, TYPE, TYPE_BOOLEAN, TYPE_NORMAL, URL`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.SupplementalPropertyKeysInterface
`COMMAND, CUSTOM, DYNAMIC, ENCODE, EXTERNAL`

Constructor Summary
`SelectorAction()` Default constructor
`SelectorAction(BaseTransformation selector)` Selector Constructor

Method Summary
`BaseTransformation` | `getSelector()` Returns the selector object for this action
`int` | `getSelectorHeight()` Returns the height of the selector dialog
`java.lang.String` | `getSelectorKey()` Returns the selectorKey for this action
`int` | `getSelectorType()` Returns the selectorType for this action
`int` | `getSelectorWidth()` Returns the width of the selector dialog
`java.lang.String` | `getViewerId()`
`boolean` | `isDefaultURLSuppressed()` Return the boolean indicating whether the default javascript call should be used.
`boolean` | `isModal()`
`void` | `setDefaultURLSuppressed(boolean defaultURLSuppressed)` Set the boolean indicating whether the default javascript call should be used.
`void` | `setModal(boolean modal)`
`void` | `setSelector(BaseTransformation selector)` Sets the selector object on the action
`void` | `setSelectorHeight(int height)` Sets the height of the selector dialog window on the action
`void` | `setSelectorKey(java.lang.String selectorKey)` Sets the selectorKey on the action
`void` | `setSelectorType(int selectorType)` Sets the selectorType on the action.
`void` | `setSelectorWidth(int width)` Sets the width of the selector dialog window on the action
`void` | `setViewerId(java.lang.String id)`

Methods inherited from class com.sas.actionprovider.HttpAction
`getCmdId, getURLBase, getURLTemplate, isEscapeDynamicAttributeValues, isExternal, isLink, setCmdId, setEscapedDynamicAttributeValues, setExternal, setLink, setURLBase, setURLTemplate`

Methods inherited from class com.sas.actionprovider.BaseAction
`actionPerformed, addPropertyChangeListener, applyCommandAttributes, clone, executeCommand, fireEvent, getActionStrategy, getActionType, getAttributeDescriptor, getAttributeDescriptors, getCommand, getReturnStatus, getValue, isCustom, performAction, putValue, removePropertyChangeListener, setActionStrategy, setActionType, setAttribute, setCommand, setCustom, setReturnStatus`

Methods inherited from class com.sas.entities.BaseEntity
`containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.swing.util.Action
`performAction`

Field Detail

### SELECTOR_EXTERNAL

    public static final int SELECTOR_EXTERNAL

  Key indicating the the EXTERNAL type of selector Action

  See Also:
    `setSelectorType(int)`, Constant Field Values

### modal

    protected boolean modal

### viewerId

    protected java.lang.String viewerId

  The id of the viewer that requested this Action.

### refreshViewerId

    protected java.lang.String refreshViewerId

  The id of the viewer that requested this Action.

Constructor Detail

### SelectorAction

    public SelectorAction()

  Default constructor

### SelectorAction

    public SelectorAction(BaseTransformation selector)

  Selector Constructor

  Parameters:
    `selector` - The selector for this action

Method Detail

### setSelector

    public void setSelector(BaseTransformation selector)

  Sets the selector object on the action

  Specified by:
    `setSelector` in interface `SelectorActionInterface`
  Parameters:
    `selector` - The selector object

### getSelector

    public BaseTransformation getSelector()

  Returns the selector object for this action

  Specified by:
    `getSelector` in interface `SelectorActionInterface`
  Returns:
    the action's selector

### setSelectorType

    public void setSelectorType(int selectorType)

  Sets the selectorType on the action.

  Default value is `SelectorAction.SELECTOR_EXTERNAL`

  Parameters:
    `selectorType` - The selector object
  See Also:
    `SELECTOR_EXTERNAL`, `SELECTOR_EXPAND`

### getSelectorType

    public int getSelectorType()

  Returns the selectorType for this action

  Returns:
    the action's selectorType

### setSelectorKey

    public void setSelectorKey(java.lang.String selectorKey)

  Sets the selectorKey on the action

  Parameters:
    `selectorKey` - The selectorKey

### getSelectorKey

    public java.lang.String getSelectorKey()

  Returns the selectorKey for this action

  Returns:
    the action's selectorKey

### setDefaultURLSuppressed

    public void setDefaultURLSuppressed(boolean defaultURLSuppressed)

  Set the boolean indicating whether the default javascript call should be used.

  If this is set to true, then the Action's url must be include its own javascript call.

  Parameters:
    `defaultURLSuppressed` - the boolean indicating whether the default javascript call should be used.

### isDefaultURLSuppressed

    public boolean isDefaultURLSuppressed()

  Return the boolean indicating whether the default javascript call should be used.

  If this is set to true, then the Action's url must be include its own javascript call.

  Returns:
    the boolean indicating whether the default javascript call should be used.

### setSelectorWidth

    public void setSelectorWidth(int width)

  Sets the width of the selector dialog window on the action

  Parameters:
    `width` - The selector dialog width

### getSelectorWidth

    public int getSelectorWidth()

  Returns the width of the selector dialog

  Returns:
    selectorWidth The selector dialog width

### setSelectorHeight

    public void setSelectorHeight(int height)

  Sets the height of the selector dialog window on the action

  Parameters:
    `height` - The selector dialog height

### getSelectorHeight

    public int getSelectorHeight()

  Returns the height of the selector dialog

  Returns:
    selectorHeight The selector dialog height

### isModal

    public boolean isModal()

  Returns:
    Returns the modal.

### setModal

    public void setModal(boolean modal)

  Parameters:
    `modal` - The modal to set.

### getViewerId

    public java.lang.String getViewerId()

  Returns:
    The id of the viewer that requested this Action.

### setViewerId

    public void setViewerId(java.lang.String id)

  Parameters:
    `id` - The id of the viewer that requested this Action.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.